/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Das Programm demonstriert die Funktionsweise eines finally- */
/* Blocks.                                                     */                                              
/***************************************************************/

import java.io.*;

public class Finally {

 public static void main(String[] args) {

  int[] feld = {0,1,2,3,4};

  System.out.println();

  for (int i=-2;i<=6;i++) {

   System.out.print("12/"+i+" = ");

   try {

    System.out.println(12/feld[i]);

   } catch (Throwable e)
      { System.out.println("  Ausnahmeereignis"); }

     finally
        /* Der finally-Block wird beim Verlassen der try-Anweisung
           ausgefuehrt - unabhaengig davon, ob ein Ausnahmeereignis
           eingetreten ist oder nicht. */
      { System.out.println("  finally-Block ausgefuehrt"); }

   }

 }

}
