/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Das Programm demonstriert die Definition einer neuen Klasse */
/* fr Ausnahmenereignisse und die Funktionsweise einer throw- */
/* Anweisung.                                                  */                                              
/***************************************************************/

import java.io.*;

// Deklaration eines neuen Ausnahmeereignis-Typs

class NotDefined extends Exception {

 NotDefined(String st) { super(st); }

}

// Klasse mit Hauptprogramm

public class Throw {

 public static void main(String[] args) {

  Integer i = null;

  System.out.println();

  try {

    // Auswurf einer Exception vom oben definierten Typ    

    if (i==null) throw new NotDefined("i");

   } catch (NotDefined e)
        // Handler fr Ereignisse des definierten Typs
      { System.out.println("Objekt " + e.getMessage() + " nicht definiert"); }

 }

}
