/*******************************************************************/
/* Prof. Dr. Carsten Vogt                                          */
/* TH Koeln, Fakultaet IME                                         */
/* http://www.nt.th-koeln.de/vogt                                  */
/*                                                                 */
/* Das Programm demonstriert den Umgang mit dem Elementartyp char. */
/*******************************************************************/

import java.io.*;

public class Chars {

 public static void main(String args[]) throws IOException {

  /* Deklaration zweier Zeichenvariablen mit bzw. ohne Initialisierung */

  char z1 = 'A', z2;

  /* Wertzuweisung einer Zeichenkonstanten */

  z2 = 'b';

  /* Wertausgabe auf den Bildschirm */

  System.out.println();
  System.out.println("Z1 = "+z1+"  Z2 = "+z2);

  /* Werteingabe ueber die Tastatur */

  System.out.println();
  System.out.print("Bitte char-Wert eingeben: ");
  z1 = (char) System.in.read();
  System.out.println();
  System.out.println("Eingelesenes Zeichen: " + z1);

  /* Anwendung von Standardfunktionen der Klasse Character */

  System.out.println();
  System.out.println("Ist es ein Buchstabe? "+Character.isLetter(z1));
  System.out.println("Ist es ein Grossbuchstabe? "+Character.isUpperCase(z1));
  System.out.println("Ist es ein Kleinbuchstabe? "+Character.isLowerCase(z1));
  System.out.println("Ist es eine Ziffer? "+Character.isDigit(z1));
  System.out.println("Ist es eine Ziffer oder ein Buchstabe? "+Character.isLetterOrDigit(z1));
  System.out.println();
  System.out.println("Entsprechender Grossbuchstabe: "+Character.toUpperCase(z1));
  System.out.println("Entsprechender Kleinbuchstabe: "+Character.toLowerCase(z1));

  /* Rechnen mit char-Werten */

  System.out.println();
  System.out.println("Vorgaenger: "+(char)(z1-1));
  System.out.println("Nachfolger: "+(char)(z1+1));

 }

}
