/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Das Programm zeigt Mglichkeiten zur formatierten Ausgabe   */
/* von Werten.                                                 */
/***************************************************************/

import java.io.*;
import java.util.*;

// siehe auch Class Formatter in http://java.sun.com/j2se/1.5.0/docs/api/java/util/Formatter.html

public class FormatierteAusgabe {

 public static void main(String args[]) throws IOException {
 
   int a = 12;
   double b = 14.6666666;
   char c = 'x';
   String d = "Hallo";
   
   System.out.format("a = %d,  b = %f,  c = %c,  d = %s\n\n",a,b,c,d);

   System.out.format("a = %o (oktal)\n",a);
   System.out.format("a = %x (hexadezimal)\n",a);
   System.out.format("a = %+d (mit positivem Vorzeichen)\n",a);
   System.out.format("a = %010d (mit fhrenden Nullen)\n\n",a);

   System.out.format("b = %6.3f  (drei Nachkommastellen)\n",b);
   System.out.format(Locale.US, "b = %6.3f (Locale.US)\n",b);
   System.out.format("b = %e  (Exponentialschreibweise)\n\n",b);

   System.out.format("d = %.1s\n",d);
   System.out.format("d = %.3s\n",d);
   System.out.format("d = %s\n",d);
   System.out.format("d = %7s\n",d);
   System.out.format("d = %9s\n",d);

 }

}
