/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* TH Koeln, Fakultaet IME                                     */
/* http://www.nt.th-koeln.de/vogt                              */
/*                                                             */
/* Das Programm demonstriert die Ueberladung von Methoden.     */
/***************************************************************/

import java.io.*;

public class Ueberlad {

 /* Definition einer Methode zur Berechnung des Maximums dreier int-Werte */

 public static int maximum(int wert1, int wert2, int wert3) {

  int ergebnis;

  System.out.println("maximum() fuer drei ints aufgerufen");
  ergebnis = wert1;
  if (wert2>ergebnis)
   ergebnis = wert2;
  if (wert3>ergebnis)
   ergebnis = wert3;
  return ergebnis;

 }

 /* Definition einer Methode zur Berechnung des maximalen Eintrags
    eines int-Arrays: derselbe Name wie die erste Methode, aber andere
    Parameterliste, also andere "Signatur" */

 public static int maximum(int[] array) {

  int ergebnis;

  System.out.println("maximum() fuer Array aufgerufen");
  ergebnis = array[0];
  for (int i=1; i<array.length;i++)
   if (array[i]>ergebnis)
    ergebnis = array[i];
  return ergebnis;

 }

 public static void main(String args[]) {

  int a=1, b=7, c=3; /* drei Variable, deren Maximum berechnet werden soll */

  int[] f = {2, 6, 3, 9, 1, 5, 10, 8 }; /* Array, dessen maximaler Eintrag gesucht werden soll */

  int max;  /* Variable, die das jeweils berechnete Maximum aufnimmt */

  System.out.println();

  max = maximum(a,b,c);

  System.out.println();
  System.out.println("Maximum der drei int-Werte: " + max);
  System.out.println();

  max = maximum(f);

  System.out.println();
  System.out.println("maximaler Array-Eintrag: " + max);

 }

}
