/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* TH Koeln, Fakultaet IME                                     */
/* http://www.nt.th-koeln.de/vogt                              */
/*                                                             */
/* Das Programm zeigt die Definition einer Klasse sowie die    */
/* Deklaration und Initialisierung zweier Objektvariablen.     */
/* Dabei wird der Standardkonstruktor verwendet.               */
/***************************************************************/

import java.io.*;

/* Definition einer Klasse fuer Bankkonten */

class Konto {
 String inhaber;
 double stand;
 boolean gesperrt;
}

public class ObjErzeugung {

 public static void main(String args[]) {

  /* Deklaration zweier Objektvariablen */

  Konto meinKonto, deinKonto;

  /* Initialisierung der Objektvariablen mit Verweisen auf neuerzeugte Objekte */

  meinKonto = new Konto();
  deinKonto = new Konto();

  System.out.println();
  System.out.println("Anfangswerte des Objekts von meinKonto:");
  System.out.println(" inhaber = " + meinKonto.inhaber);
  System.out.println(" stand = " + meinKonto.stand);
  System.out.println(" gesperrt = " + meinKonto.gesperrt);

  /* Initialisierung eines Objekts */

  meinKonto.stand = 100.0;
  meinKonto.inhaber = new String("Ich");

  System.out.println();
  System.out.println("Werte nach Initialisierung:");
  System.out.println(" inhaber = " + meinKonto.inhaber);
  System.out.println(" stand = " + meinKonto.stand);
  System.out.println(" gesperrt = " + meinKonto.gesperrt);


 }

}
