/**************************************************************/
/* Prof. Dr. Carsten Vogt                                     */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                     */
/* http://www.nt.fh-koeln.de/vogt                             */
/*                                                            */
/* Das Programm demonstriert einige Methoden zur Arbeit mit   */
/* Labels.                                                    */
/**************************************************************/

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;

public class LabelBasics {

 public static void main(String args[]) {

   // Frame erzeugen:
   
   JFrame f = new JFrame("Frame mit zwei Labeln");

   // zwei Label erzeugen:

   JLabel lab1 = new JLabel("Label 1"),
          lab2 = new JLabel("Label 2");

   // Raender fuer die Label setzen: 

   Border b1 = BorderFactory.createLineBorder(Color.green,10),
          b2 = BorderFactory.createLineBorder(Color.blue,5);

   // Position und Layout des Frames setzen:

   f.setLocation(0,0);
   f.getContentPane().setLayout(new GridLayout(2,1)); 

   //// erstes Label:

   // Rand setzen:

   lab1.setBorder(b1);

   // Font (=Zeichenformat) setzen:

   lab1.setFont(new Font("Serif",Font.BOLD,36));

   // Farbe der Beschriftung setzen:

   lab1.setForeground(Color.blue);

   // Text setzen, der bei Bewegen des Cursors auf das Label
   // kurzzeitig erscheint:

   lab1.setToolTipText("Dies ist Label Nr. 1");

   //// zweites Label:

   // Rand setzen:

   lab2.setBorder(b2);

   // Font setzen:

   lab2.setFont(new Font("Serif",Font.ITALIC,30));

   // Farbe der Beschriftung setzen:

   lab2.setForeground(Color.red);

   // Text setzen, der bei Bewegen des Cursors auf das Label
   // kurzfristig erscheint:

   lab2.setToolTipText("Dies ist Label Nr. 2");

   // Labels in den Frame einfgen und sichtbar machen:

   f.getContentPane().add(lab1);   
   f.getContentPane().add(lab2);   
   f.pack(); 
   f.setVisible(true);

  }

}
