/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* TH Koeln, Fakultaet IME                                     */
/* http://www.nt.th-koeln.de/vogt                              */
/*                                                             */
/* join():                                                     */
/* Das Programm startet einen Thread, der ca. zwei Sekunden    */
/* lang laeuft. Der Thread des Hauptprogramms wartet auf das   */
/* Ende dieses Threads und gibt dann eine Meldung aus.         */
/***************************************************************/

class BeispielThread extends Thread {

 /* Der Thread wird zwei Sekunden lang ausgefuehrt
    und terminiert dann */
 
 public void run() {
  System.out.println();
  System.out.println("Thread: Ich laufe los");
  try {
   sleep(2000);
  } catch (java.lang.InterruptedException e) {}
  System.out.println("Thread: Ich terminiere");
 }
 
}

public class ThreadJoin {

 public static void main(String[] args) {

  /* Erzeugung und Start des Threads */
  BeispielThread t = new BeispielThread();
  t.start();
  
  /* Warten auf das Ende des Threads */
  try {
   t.join();
  } catch (java.lang.InterruptedException e) {}
  System.out.println("main(): Thread ist beendet");

 }

}
