/*************************************************/
/* Prof. Dr. Carsten Vogt                        */
/* FH Koeln, Fak. 07 / Nachrichtentechnik        */
/* http://www.nt.fh-koeln.de/vogt                */
/*                                               */
/* Das Applet zeichnet ein geometrisches Muster. */
/* Es basiert auf Swing.                         */
/*************************************************/
        
import java.awt.*;
import java.awt.geom.*;
import javax.swing.*;

/* Der Browser erzeugt beim Aufruf automatisch
   ein Objekt der folgenden Klasse: */

public class SimpleApplet extends JApplet {

   /* init() wird bei Erzeugung des Applets,
      also genau einmal, ausgefhrt: */

   public void init() {
    System.out.println("Applet wird initialisiert");
   }

   /* start() wird nach Erzeugung des Applets aufgerufen,
      um es zu starten;
      kann spter nochmals beliebig oft aufgerufen werden: */

   public void start() {
    System.out.println("Applet wird gestartet");
   }

   /* stop() wird beim Stoppen der Ausfhrung des Applets
      aufgerufen; Applet kann spter erneut gestartet werden: */

   public void stop() {
    System.out.println("Applet wird gestoppt"); }

   /* destroy() wird beim Lschen des Applets aufgerufen: */

   public void destroy() {
    System.out.println("Applet wird zerstoert"); }

   /* paint() erstellt die grafische Ausgabe,
      wird durch die Laufzeitumgebung (z.B. Browser) aufgerufen
      [expliziter Aufruf auch durch repaint() mglich]: */

   public void paint(Graphics g) {
    g.setColor(Color.red);
    g.fillRect(50,50,100,200);
    g.setColor(Color.blue);
    g.fillOval(0,0,200,80);
    g.setColor(Color.green);
    g.fillOval(70,100,20,20);
    g.fillOval(110,100,20,20);
    g.fillOval(75,150,50,20);
    g.setColor(Color.black);
    g.fillOval(75,105,10,10);
    g.fillOval(115,105,10,10);
    g.setFont(new Font("Roman",Font.BOLD,20));
    g.drawString("Hello World!",170,150);
    System.out.println("paint() wurde ausgefuehrt");
   }

}