/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* TH Koeln, Fakultaet IME                                     */
/* http://www.nt.th-koeln.de/vogt                              */
/*                                                             */
/* Das Programm berechnet ein Anfangsstueck der Folge der Fibo-*/
/* nacci-Zahlen, speichert sie in einem Array ab und ermoeg-   */
/* licht dem Benutzer, eine der Zahlen ausgeben zu lassen.     */
/***************************************************************/

import java.io.*;

public class Fibo {

 public static void main(String[] args) throws IOException  {

  BufferedReader in = new BufferedReader(new InputStreamReader(System.in));

  int groesse = 10;              /* Groesse des Arrays */ 
  int[] fibo = new int[groesse]; /* Array zur Aufnahme der Fibonacci-Zahlen */
  int i;                         /* Schleifenzaehler */

  /* Berechnen der Fibonacci-Zahlen und Speicherung im Array */

  fibo[0]=0; fibo[1]=1;
  for (i=2;i<fibo.length;i++)
   fibo[i]=fibo[i-2]+fibo[i-1];
 
  /* Ausgabe des gesamten Arrays */

  System.out.println();
  System.out.println("Die ersten " + fibo.length + " Fibonacci-Zahlen in Array fibo[]:");
  for (i=0;i<fibo.length;i++)
   System.out.println(fibo[i]);
  System.out.println();

  /* Ausgabe eines Arrayeintrags. Ausnahmeereignis, wenn Arraygrenzen nicht eingehalten. */

  try {
   System.out.println("Die wievielte Zahl soll ausgegeben werden? (erste = 0)");
   i = Integer.parseInt(in.readLine());
   System.out.println("fibo["+i+"] = "+fibo[i]);
  } catch (IndexOutOfBoundsException E)
          { System.out.println("FEHLER: Index ausserhalb des Bereichs!"); }
 
 }

}
