/***************************************************/
/* Prof. Dr. Carsten Vogt                          */
/* TH Koeln, Fakultaet IME                         */
/* http://www.nt.th-koeln.de/vogt                  */
/*                                                 */
/* Das Programm arbeitet mit den Punktzahlen von   */
/* jeweils zehn Teilnehmern einer oder mehrerer    */
/* Klausuren und demonstriert somit den Umgang     */
/* mit ein- und zweidimensionalen Arrays.          */
/***************************************************/

import java.io.*;

public class Klausurpunkte {

 public static void main(String[] args) throws IOException  {

  BufferedReader in = new BufferedReader(new InputStreamReader(System.in));

  /* Deklaration einer Arrayvariablen und Erzeugung eines Arrayobjekts
     mit 10 int-Elementen */

  int[] punktzahlen = new int[10];

  /* Ausgabe der Anfangswerte des Arrays */

  System.out.println();
  System.out.println("Anfangswerte des Arrays punktzahlen:");
  for (int i=0;i<punktzahlen.length;i++)
   System.out.print(" " + punktzahlen[i]);
  System.out.println();

  /* Berechnung, Zuweisung und Ausgabe von Werten der Array-Elementen */
  
  System.out.println();
  System.out.println();
  System.out.print("Bitte Punktzahl des ersten Teilnehmers eingeben: ");
  punktzahlen[0] = Integer.parseInt(in.readLine());

  System.out.println();
  System.out.print("Bitte Steigerung zum naechsten Teilnehmer eingeben: ");
  int steig = Integer.parseInt(in.readLine());
  for (int i=1;i<punktzahlen.length;i++)
   punktzahlen[i] = punktzahlen[i-1] + steig;

  System.out.println();
  System.out.println("Berechnete Punktzahlen:");
  for (int i=0;i<punktzahlen.length;i++)
   System.out.println(" punktzahlen[" + i + "]: " + punktzahlen[i]);

  /* Mehrdimensionaler Array: fuer 4 Klausuren jeweils 10 Punktzahlen */

  int[][] punkte2D = new int[4][10];

  /* Berechnung, Zuweisung und Ausgabe von Werten der Array-Elementen */
  
  for (int klausurNr=0; klausurNr < punkte2D.length; klausurNr++)
   for (int teilnehmer=0; teilnehmer < punkte2D[0].length; teilnehmer++)
    punkte2D[klausurNr][teilnehmer] = 30;

  punkte2D[1][2] = 50;

  System.out.println();
  System.out.println();
  System.out.println("Zweidimensionaler Array:");
  System.out.println();

  for (int klausurNr=0; klausurNr < punkte2D.length; klausurNr++) {
   System.out.print("Klausur " + klausurNr + ":");
   for (int teilnehmer=0; teilnehmer < punkte2D[0].length; teilnehmer++)
    System.out.print(" " + punkte2D[klausurNr][teilnehmer]);
   System.out.println();
  }

 }

}
