/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Das Programm zeigt den Umgang mit Strings. (2. Beispiel)    */
/***************************************************************/
        
public class Strings2 {

 public static void main(String args[]) {

  /* Konstruktoren: */

  String s1 = "String 1";
  String s2 = new String("String 2");
  char f1[] = {'S','t','r','i','n','g',' ','3'};
  String s3 = new String(f1);
  byte f2[] = {83,116,114,105,110,103,32,52};
  String s4 = new String(f2);
  String s4a = new String(s4);

  System.out.println();
  System.out.println("s1:  " + s1);
  System.out.println("s2:  " + s2);
  System.out.println("s3:  " + s3.toString());
  System.out.println("s4:  " + s4);
  System.out.println("s4a: " + s4a);

  /* Stringlaenge: */

  System.out.println();
  System.out.println("s1.length(): " + s1.length());

  /* Stringvergleiche: */

  System.out.println();
  System.out.println("s1.equals(s2): " + s1.equals(s2));
  System.out.println("s4.equals(s4a): " + s4.equals(s4a));
  System.out.println("s1.compareTo(s2): " + s1.compareTo(s2));
  System.out.println("s2.compareTo(s1): " + s2.compareTo(s1));
  System.out.println("s4.compareTo(s1): " + s4.compareTo(s1));
  System.out.println("s1.startsWith(\"Str\"): " + s1.startsWith("Str"));
  System.out.println("s1.startsWith(\"str\"): " + s1.startsWith("str"));
  System.out.println("s1.endsWith(\"g 1\"): " + s1.endsWith("g 1"));

  /* Suche in Strings: */

  System.out.println();
  System.out.println("s1.indexOf(\"ing\"): " + s1.indexOf("ing"));
  System.out.println("s1.indexOf(\"ung\"): " + s1.indexOf("ung"));
  System.out.println("s1.contains(\"ing\"): " + s1.contains("ing"));
  System.out.println("s1.contains(\"ung\"): " + s1.contains("ung"));

  /* Einzelzeichen im String und Teilstrings: */

  System.out.println();
  System.out.println("s1.charAt(2): " + s1.charAt(2));
  System.out.println("s1.substring(2): " + s1.substring(2));
  System.out.println("s1.substring(2,6): " + s1.substring(2,6));
  
  /* Umwandlung in Gross- und Kleinbuchstaben: */

  System.out.println();
  System.out.println("s1.toUpperCase(): " + s1.toUpperCase());
  System.out.println("s1.toLowerCase(): " + s1.toLowerCase());

  /* Ersetzung von Zeichen: */

  System.out.println();
  System.out.println("s1.replace('i','u'): " + s1.replace('i','u'));

  /* Anhaengen: */

  System.out.println();
  System.out.println("s4b.concat(\" b\"): " + s4.concat(" b"));

 }

}
