/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Das Programm zeigt die byteorientierte Datei-Ein-/Ausgabe:  */
/* Werte werden in ihrer Bitdarstellung in die Datei geschrie- */
/* ben, sind also fuer den menschlichen Benutzer nicht lesbar. */
/* Geschrieben und gelesen wird hier ein vollstndiger Datei-  */
/* inhalt.                                                     */
/***************************************************************/

import java.io.*;

public class DateiByteFully {

 public static void main(String args[]) throws IOException {
 
  long laenge = 10;

  FileOutputStream fileOut = new FileOutputStream("testdatei");
  DataOutputStream dataOutStr = new DataOutputStream(fileOut);
  byte[] inhalt = new byte[(int)laenge];
  for (int i=0;i<laenge;i++)
   inhalt[i] = 65;
  dataOutStr.write(inhalt);
  
  fileOut.close();

  File f = new File("./testdatei");
  laenge = f.length();
  System.out.println("\nLaenge der Datei: "+laenge);
  FileInputStream fileIn = new FileInputStream(f);
  DataInputStream dataInStr = new DataInputStream(fileIn);
  inhalt = new byte[(int)laenge];
  dataInStr.readFully(inhalt);
  
  fileIn.close();
  
  for (int i=0;i<laenge;i++)
   System.out.println(inhalt[i]+" ");

 }

}
