/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Das Programm demonstriert einige Methoden zur Arbeit mit    */
/* grundlegenden Frame-Eigenschaften.                          */
/***************************************************************/

import java.awt.*;
import javax.swing.*;

public class FrameBasics {

 public static void main(String args[]) {

   // Erzeugung eines Frames mit einer Titelzeile:

   JFrame frame = new JFrame("Ein einfacher Frame");

   // Setzen der Frameposition:
   //   erster Parameter:  Spalte der oberen linken Ecke, in Pixeln
   //   zweiter Parameter: Zeile der oberen linken Ecke, in Pixeln

   frame.setLocation(100,200); 

   // Setzen der Framegroesse:
   //   erster Parameter:  Breite, in Pixeln
   //   zweiter Parameter: Hoehe, in Pixeln 

   frame.setSize(400,300);

   // Hinzufgen eines "Labels" (= statischen Texts):

   JLabel label = new JLabel("Label im Frame");
   label.setFont(new Font("Arial",Font.BOLD,24));
   label.setForeground(Color.black);
   frame.getContentPane().add(label);

   // Sichtbarmachen des Frameinhalts:

   frame.setVisible(true);

   // Abfrage und Ausgabe der Eigenschaften des Frames:

   System.out.println();
   System.out.println("Eigenschaften des Frames:");
   System.out.println();
   System.out.println("Breite: "+frame.getWidth());
   System.out.println("Hoehe:  "+frame.getHeight());
   System.out.println();
   System.out.println("horizontale Position: "+frame.getX());
   System.out.println("vertikale Position:   "+frame.getY());

  }

}
