/**************************************************************/
/* Prof. Dr. Carsten Vogt                                     */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                     */
/* http://www.nt.fh-koeln.de/vogt                             */
/*                                                            */
/* Das Programm demonstriert die Verwendung von Option Panes. */
/**************************************************************/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Option {

 public static void main(String args[]) {

  // Hauptfenster erzeugen

  JTextField ausgabefeld = new JTextField();

  JFrame hauptfenster = new JFrame("Hauptfenster");
  hauptfenster.setSize(500,100);
  hauptfenster.setLocation(100,100);
  ausgabefeld.setFont(new Font("Arial",Font.BOLD,24));
  ausgabefeld.setForeground(Color.black);
  hauptfenster.getContentPane().add(ausgabefeld);
  // hauptfenster.pack();
  hauptfenster.setVisible(true);

  // OptionPane mit einer Systemmeldung, die mit OK quittiert werden mu

  String ueberschrift = new String("Systemmeldung"),
         fenstertext  = new String("Eine Systemmeldung");

  JOptionPane.showMessageDialog(hauptfenster,fenstertext,ueberschrift,JOptionPane.INFORMATION_MESSAGE);

  // OptionPane zur Eingabe einer Ja/Nein-Entscheidung

  int wahl = JOptionPane.showConfirmDialog(hauptfenster,"Bitte entscheiden:");  

  switch (wahl) {
   case JOptionPane.YES_OPTION: ausgabefeld.setText("JA"); break;
   case JOptionPane.NO_OPTION: ausgabefeld.setText("NEIN"); break;
   case JOptionPane.CANCEL_OPTION: ausgabefeld.setText("ABBRUCH"); break;
  }

  // OptionPane zur Eingabe eines Texts

  String eingabe = JOptionPane.showInputDialog("Bitte Text eingeben:");  

  ausgabefeld.setText(eingabe);

  // OptionPane zur Auswahl aus mehreren Moeglichkeiten

  Object[] moeglichkeiten = { "Moeglichkeit 1", "Moeglichkeit 2", "Moeglichkeit 3" };
  Object ausgewaehlt = JOptionPane.showInputDialog(hauptfenster, 
                                                   "Bitte Auswahl treffen", "Auswahl",
                                                   JOptionPane.INFORMATION_MESSAGE, null,
                                                   moeglichkeiten, moeglichkeiten[0]);

  ausgabefeld.setText((String)ausgewaehlt);
  

 }

}
